<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Oeffentlich\NichtEingeloggt;

class NichtEingeloggtUseCase extends \Kufer\KuferTools\Basis\UseCase\UseCase
{
  public function __construct($request)
  {
    parent::__construct($request, new NichtEingeloggtResponse());
  }

  public function hasAccess($pToolSectionId = null)
  {
    return true;
  }

  public function action()
  {
    return $this->response;
  }
}

class NichtEingeloggtRequest
{
}

class NichtEingeloggtResponse extends \Kufer\KuferTools\Basis\UseCase\BasisResponse
{
}